<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product', function (Blueprint $table) {
            $table->id();
            $table->string('name')->comment('产品名称');
            $table->string('img')->nullable()->comment('图片');
            $table->string('source')->nullable()->comment('来源');
            $table->string('remark')->nullable()->comment('备注');
            $table->integer('category_id')->nullable()->comment('产品类别id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product');
    }
};
